package ru.dbotthepony.mc.otm.client.render.entity

import net.minecraft.client.model.HierarchicalModel
import net.minecraft.client.renderer.entity.EntityRendererProvider
import net.minecraft.client.renderer.entity.MobRenderer
import net.minecraft.resources.ResourceLocation
import ru.dbotthepony.mc.otm.OverdriveThatMatters.loc
import ru.dbotthepony.mc.otm.client.model.entity.EnforcerModel
import ru.dbotthepony.mc.otm.entity.Enforcer

class EnforcerRenderer(context: EntityRendererProvider.Context)
	: MobRenderer<Enforcer, HierarchicalModel<Enforcer>>(context, EnforcerModel.getModel(), 2.2f) {
	override fun getTextureLocation(entity: Enforcer): ResourceLocation = TEXTURE_LOCATION

	companion object {
		private val TEXTURE_LOCATION = loc("textures/entity/enforcer.png")
	}
}
